As the receiver hardware circuit of Frsky is the same as Futaba's, so the betaflight firmware are switchable between Frsky and Futaba. So if you buy the wrong receiver of SPI Frsky version or upgrade the wrong firmware accidentally, please upgrade the Betaflight Firmware according to this tutorial. 


Situation 1:  Betaflight 4.0 firmware support to select" SFHSS"in Receiver tab so you are able to upgrade to 4.0.0 version directly, setting as below:


Situation 2: If your Betaflight firmware lower than 4.0.0 version,it is not support to select" SFHSS" directly in Receiver tab. The only way is flash our own compiled firmware.

Firstly you should have install Betaflight GUI in your PC, then let's begin.


Step 1. Open Betaflight and find the Firmware Flasher tab, click “Load firmware[Local]” in the bottom, then select the firmware file "betaflight_3.5.1_MATEKF411RX_201809301221_SFHSS.hex" and wait for firmware to loading.

Note: The firmware file "betaflight_3.5.1_MATEKF411RX_201809301221_SFHSS.hex"  is available in the attached file.


Step 2. Click "Flash firmware" to start programming. Waiting for flashing completed.


Step 3. Click "Connect" in the top right corner after programming successful.


Step 4. Turn to the CLi tab, then open the "Pro_Futaba_CLi.txt" file, copy the command in this file into below bar.

Note: The file "Pro_Futaba_CLi.txt" is available in the attached file.


After you copy the command into the bar, click "Enter" on your PC. You should see below screen.


Step 5.  Connect your flight controller with battery or USB, press the BIND buttom, LED will stay green. Then start your Futaba transmitter, BIND will automatically complete. Wait until the freeze green be flicker to indicate that BIND is successful, then you can control your drone again.